]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
Add the PyQtChart product as a new prerequisite of master configurations (needed...
authorQuentin Cozette <quentin.cozette@cea.fr>
Thu, 1 Oct 2020 15:14:03 +0000 (17:14 +0200)
committerQuentin Cozette <quentin.cozette@cea.fr>
Thu, 1 Oct 2020 15:14:03 +0000 (17:14 +0200)
applications/SALOME-master-MPI.pyconf
applications/SALOME-master-int64.pyconf
applications/SALOME-master-windows.pyconf
applications/SALOME-master.pyconf
products/PyQtChart.pyconf [new file with mode: 0644]
products/compil_scripts/PyQtChart-5.9.sh [new file with mode: 0644]
products/env_scripts/PyQtChart.py [new file with mode: 0644]

index e07e33e88ed7e3ce3c9376e6c49bf5372ecebab2..2b1cae8212f462d16a20deecbff79d8cda85b3e9 100644 (file)
@@ -80,6 +80,7 @@ APPLICATION :
         Pygments : '2.0.2'
         pyparsing : '2.0.3'
         PyQt : '5.9'
+        PyQtChart : '5.9'
         pyreadline : '2.0'
         Python : '3.6.5'
         pytz : '2015.7'
index c04783001ec2225a8d5fe10a5d2293f97ecb65d1..845c393aa41e3f7cdab39d95d931cff3c41831a1 100644 (file)
@@ -79,6 +79,7 @@ APPLICATION :
         Pygments : '2.0.2'
         pyparsing : '2.0.3'
         PyQt : '5.9'
+        PyQtChart : '5.9'
         pyreadline : '2.0'
         Python : '3.6.5'
         pytz : '2015.7'
index 2fe3d994abd6ba56a86a6edcec5c24282174f0c1..7b4344b3176dffe9d383f9eb429e59151ad0dcda 100644 (file)
@@ -90,6 +90,7 @@ APPLICATION :
         Pygments : '2.4.2'
         pyparsing : '2.4.0'
         PyQt : '5.9'
+        PyQtChart : '5.9'
         pyreadline : '2.1'
         Python : '3.6.5'
         pytz : '2019.1'
index d4b9567918bcb67a5cc8e085dedd3bca9aa32976..47de43a15bd0d0815ddc3fc6dc8aad49287a554f 100644 (file)
@@ -78,6 +78,7 @@ APPLICATION :
         Pygments : '2.0.2'
         pyparsing : '2.0.3'
         PyQt : '5.9'
+        PyQtChart : '5.9'
         pyreadline : '2.0'
         Python : '3.6.5'
         pytz : '2015.7'
diff --git a/products/PyQtChart.pyconf b/products/PyQtChart.pyconf
new file mode 100644 (file)
index 0000000..66fbeb3
--- /dev/null
@@ -0,0 +1,34 @@
+default :
+{
+    name : "PyQtChart"
+    build_source : "script"
+    compil_script :  'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : $name + ".py"
+    }
+    depend : ['Python','setuptools', 'PyQt']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+    install_dir : 'base'
+    properties:
+    {
+      incremental : "yes"
+      pip : "no"
+    }
+}
+
+version_5_9 :
+{
+    compil_script : 'PyQtChart-5.9' + $VARS.scriptExtension
+}
+
+default_win :
+{
+    compil_script : 'pip_install_whl' + $VARS.scriptExtension
+    archive_info :
+    {
+        archive_name : "PyQtChart-" + $APPLICATION.products.PyQtChart + "_windows.tar.gz"
+    }
+}
diff --git a/products/compil_scripts/PyQtChart-5.9.sh b/products/compil_scripts/PyQtChart-5.9.sh
new file mode 100644 (file)
index 0000000..0cd7245
--- /dev/null
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "PyQtChart " $VERSION
+echo "##########################################################################"
+
+
+mkdir $PRODUCT_INSTALL 
+cd $PRODUCT_INSTALL
+echo "PyQtChart  will be installed in PyQt folder..." >> README
+
+python_name=python$PYTHON_VERSION
+
+echo `env`
+
+echo
+
+cp -f $SOURCE_DIR/PyQt5/QtChart.so ${PYQT5_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/PyQt5/QtChart.so
+if [ $? -ne 0 ]
+then
+    echo "ERROR: could not copy QtCharts.so"
+    exit 1
+fi
+
+# useless -  use the Qt one
+rm -rf ${PYQT5_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/PyQt5/Qt
+cp -r $SOURCE_DIR/PyQt5/Qt ${PYQT5_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/PyQt5/Qt
+if [ $? -ne 0 ]
+then
+    echo "ERROR: could not copy Qt"
+    exit 2
+fi
+
+rm -f ${PYQT5_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/PyQt5/Qt/lib/libQt5Charts.so.5
+if [ $? -ne 0 ]
+then
+    echo "ERROR: could not remove Qt/libQt5Charts.so.5"
+    exit 3
+fi
+
+echo
+echo "########## END"
+
diff --git a/products/env_scripts/PyQtChart.py b/products/env_scripts/PyQtChart.py
new file mode 100644 (file)
index 0000000..67fbc52
--- /dev/null
@@ -0,0 +1,10 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os.path
+
+def set_env(env, prereq_dir, version):
+    pyver = 'python' + env.get('PYTHON_VERSION')
+    env.set('PYQTCHART_ROOT_DIR', prereq_dir)
+def set_nativ_env(env):
+    pass